nl.topicus.jdbc.metadata

## Class AbstractCloudSpannerWrapper

- java.lang.Object
- - nl.topicus.jdbc.metadata.AbstractCloudSpannerWrapper

All Implemented Interfaces:
  Wrapper

Direct Known Subclasses:
  AbstractCloudSpannerConnection, AbstractCloudSpannerDatabaseMetaData, AbstractCloudSpannerFetcher, CloudSpannerDataSource, CloudSpannerParameterMetaData, CloudSpannerResultSetMetaData

    public abstract class AbstractCloudSpannerWrapper
    extends Object
    implements Wrapper

### Constructor Summary

Constructors
Constructor and Description
`AbstractCloudSpannerWrapper()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `extractColumnType(com.google.cloud.spanner.Type type)`
`static String` `getClassName(int sqlType)`
`static String` `getGoogleTypeName(int sqlType)`
`boolean` `isWrapperFor(Class<?> iface)`
`<T> T` `unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCloudSpannerWrapper

    public AbstractCloudSpannerWrapper()

### Method Detail

#### extractColumnType

    public static int extractColumnType(com.google.cloud.spanner.Type type)

#### getGoogleTypeName

    public static String getGoogleTypeName(int sqlType)

#### getClassName

    public static String getClassName(int sqlType)

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
                 throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`